Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\ExceptionConversion Class Reference

Base class for location gateways. More...

Inheritance diagram for eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\ExceptionConversion:

## Public Member Functions
| __construct (Gateway $innerGateway)
| Creates a new exception conversion gateway around $innerGateway. More...
| find (Criterion $criterion, $offset=0, $limit=null, array $sortClauses=null, array $languageFilter=[], $doCount=true)
| Returns total count and data for all Locations satisfying the parameters. More...

## Protected Attributes
| $innerGateway

## Detailed Description

Base class for location gateways.

Definition at line 18 of file Search/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\ExceptionConversion::__construct | ( | Gateway | $innerGateway | ) |

Creates a new exception conversion gateway around $innerGateway.

Parameters

  Gateway | $innerGateway |

Definition at line 32 of file Search/Legacy/Content/Location/Gateway/ExceptionConversion.php.

References eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\ExceptionConversion\$innerGateway.

## Member Function Documentation

## ◆ find()

eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\ExceptionConversion::find | ( | Criterion | $criterion,
|  |  | $offset = `0`,
|  |  | $limit = `null`,
|  | array | $sortClauses = `null`,
|  | array | $languageFilter = `[]`,
|  |  | $doCount = `true`
| ) |  |

Returns total count and data for all Locations satisfying the parameters.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Query\Criterion | $criterion |
  int | $offset |
  int | null | $limit |
  \eZ\Publish\API\Repository\Values\Content\Query\SortClause[] | $sortClauses |
  array | $languageFilter |
  bool | $doCount |

Exceptions

Reimplemented from eZ\Publish\Core\Search\Legacy\Content\Location\Gateway.

Definition at line 51 of file Search/Legacy/Content/Location/Gateway/ExceptionConversion.php.

## Member Data Documentation

## ◆ $innerGateway

eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\ExceptionConversion::$innerGateway
| protected

Definition at line 25 of file Search/Legacy/Content/Location/Gateway/ExceptionConversion.php.

Referenced by eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\ExceptionConversion\__construct().

The documentation for this class was generated from the following file:

- Search/Legacy/Content/Location/Gateway/ExceptionConversion.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.